%global		momorel 3
%global		artsver 1.5.8
%global		artsrel 3m
%global		qtver 3.3.7
%global		kdever 3.5.8
%global		kdelibsrel 6m
%global		qtdir %{_libdir}/qt3
%global		kdedir /usr

Name:           komparator
Version:        0.9
Release:	%{momorel}m%{?dist}
Summary:        Kompare and merge two folders
Group:          Development/Tools
License:        GPL
URL:            http://komparator.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq:		gtk2-common
BuildRequires:  kdelibs3-devel
BuildRequires:	desktop-file-utils

%description
Kompare and merge two folders.
They will be searched for duplicate files and empty folders.

%prep
%setup -q
sed -i "s|\%u \%u|\%u|" src/%{name}.desktop

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
        --prefix=%{_prefix} \
        --libdir=%{_libdir} \
        --with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
        --enable-new-ldflags \
        --disable-debug \
        --disable-warnings \
        --disable-rpath

make %{?_smp_mflags}


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

HTML_DIR=$(kde-config --expandvars --install html)

# this is junk
rm -rf %{buildroot}$HTML_DIR/%{name} 

# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# Desktop.
desktop-file-install  --vendor= \
    --dir %{buildroot}%{_datadir}/applications  \
    --delete-original \
    %{buildroot}%{_datadir}/applnk/Utilities/komparator.desktop


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/komparator
%{_datadir}/applications/*
%{_datadir}/icons/*/*/*/komparator.png
%{_datadir}/icons/*/*/*/komparator_working.mng

%changelog
* Sat May 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-3m)
- revise spec file

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9-2m)
- rebuild against gcc43

* Sat Mar  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9-1m)
- update to 0.9

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8-3m)
- specify KDE3 headers and libs
- modify BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-2m)
- %%NoSource -> NoSource

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8-1m)
- update to 0.8

* Fri Aug 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7-1m)
- initial build for Momonga Linux
